KDE 4.2 PyKDE API Reference

- KDE's Python API

# KPrintPreview Class Reference

`from PyKDE4.kutils import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

KPrintPreview provides a print preview dialog.

Use it like this:

     QPrinter printer;
     KPrintPreview preview(&printer);
     doPrint(printer); // draws to the QPrinter
     preview.exec();

## Methods

| __init__ (self, QPrinter printer, QWidget parent=0)
| showEvent (self, QShowEvent event)

## Method Documentation

__init__ | ( | self, |
|  | QPrinter | printer,
|  | QWidget | parent=0
| ) |  |  |

Create a KPrintPreview object.

This will change the settings on the QPrinter, so you should not re-use the QPrinter object for printing normally.

Parameters:

  | printer | pointer to a QPrinter to configure for print preview
  | parent | pointer to the parent widget for the dialog

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |